namespace TagashiFileHub.Core.Abstractions.Files;

public interface IFile : IUnique<string>
{
    public FileInfo TrueFile();
    public IAsyncEnumerable<ITag> GetTagsAsync();
    public ITag? AddTag(ITag tag);
    public ITag? AddTag(string tagName);
}